// -*- c++ -*-

#ifndef NAVVIEW_H
#define NAVVIEW_H

#include <qwidget.h>
#include <parted/parted.h>

class QLabel;
class DriveListView;

/**
 * Provides the navigation frame.
 */
class NavView : public QWidget
{
  Q_OBJECT
public:
  NavView( QWidget *parent=0 );
  ~NavView();

public slots:
  void displayInfo( PedDevice * );

signals:
  void selected( PedDevice * );

private:
  DriveListView *drives;
  QLabel *details;
};

#endif // NAVVIEW_H
